Name:           python-gntp
Version:        1.0.1
Release:        6%{?dist}
Summary:        Growl Notification Transport Protocol for Python
License:        MIT
URL:            https://pypi.python.org/pypi/gntp
Source0:        https://pypi.python.org/packages/source/g/gntp/gntp-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools


%description
This is a Python library for working with the Growl Notification Transport
Protocol.

It should work as a drop-in replacement for the older Python bindings.


%prep
%setup -q -n gntp-%{version}

# Remove executable bit, shabang line from library source:
chmod -x gntp/cli.py
sed -i '/#!\/usr\/bin\/env python/,/^$/d' gntp/cli.py

# Remove bundled egg-info
rm -rf gntp.egg-info


%build
python setup.py build


%install
python setup.py install -O1 --skip-build --root %{buildroot}


%files
%doc README.rst
%{python_sitelib}/gntp*
%{_bindir}/gntp


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 15 2013 Conrad Meyer <cemeyer@uw.edu> - 1.0.1-3
- Remove bundled egg (as per rh #917328 review)

* Sat Jun 15 2013 Conrad Meyer <cemeyer@uw.edu> - 1.0.1-2
- Add dependency on python-setuptools to avoid buggy python-distutils fallback

* Mon Apr 29 2013 Conrad Meyer <cemeyer@uw.edu> - 1.0.1-1
- Bump to latest upstream

* Mon Apr 29 2013 Conrad Meyer <cemeyer@uw.edu> - 0.9-2
- New-world spec cleanups (python_sitelib is already defined, don't need to
  nuke buildroot during install)
- BR python2-devel, not python-devel

* Sat Mar 2 2013 Conrad Meyer <cemeyer@uw.edu> - 0.9-1
- Initial package
